Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ggf.drmaa
Class InvalidContactStringException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ggf.drmaa.DrmaaException
                  org.ggf.drmaa.InvalidContactStringException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DefaultContactStringException, NoDefaultContactStringException

public class InvalidContactStringException
extends DrmaaException

Initialization failed due to an invalid contact string.

Since:
  0.4.2
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`InvalidContactStringException()` Creates a new instance of `InvalidContextStringException` without detail message.
`InvalidContactStringException(java.lang.String msg)` Constructs an instance of `InvalidContextStringException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidContactStringException

    public InvalidContactStringException()

  Creates a new instance of `InvalidContextStringException` without detail message.

### InvalidContactStringException

    public InvalidContactStringException(java.lang.String msg)

  Constructs an instance of `InvalidContextStringException` with the specified detail message.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD